/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.productionunit.wizard;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import org.netbeans.api.project.Project;
import org.openide.awt.ActionID;
import org.openide.awt.ActionRegistration;
import org.openide.util.NbBundle;

/**
 *
 * @author Maciek Dulkiewicz <maciek.dulkiewicz@ordina.nl>
 */
@ActionID(category = "Productionunit-root", id = "nl.cloudfarming.client.productionunit.NewCropProductionUnitAction")
@ActionRegistration(displayName = "New production unit")
@NbBundle.Messages({"NewCropProductionUnitAction_action_name=New production unit"})
public class NewCropProductionUnitAction extends AbstractAction {

    private Project project;

    public NewCropProductionUnitAction(Project project) {
        super(Bundle.NewCropProductionUnitAction_action_name());
        this.project = project;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        CropProductionUnitWizardAction wizard = new CropProductionUnitWizardAction(project);
        wizard.actionPerformed(e);
    }
}
